# WOK
TKWOK
WOKBuilder

# WOKBuilder_WNTLinker Class Reference

defines link tool ( linker )

`#include <WOKBuilder_WNTLinker.hxx>`

Inheritance diagram for WOKBuilder_WNTLinker:

[legend]

## Public Member Functions

Standard_EXPORT void | ProduceDEFile (const Handle(WOKBuilder_DEFile)&aDEFile)
| writes DEF file specification to the tool command file
Standard_EXPORT void | ProduceLibraryList (const Handle(WOKBuilder_HSequenceOfLibrary)&aLibList)
| writes list of libraries to the tool command file
Standard_EXPORT void | ProduceExternList (const Handle(TColStd_HSequenceOfHAsciiString)&anExternList)
| writes list of the external references to the tool command file
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | WOKBuilder_WNTLinker (const Handle(TCollection_HAsciiString)&aName, const WOKUtils_Param &aParams)
| initialization

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_WNTLinker::WOKBuilder_WNTLinker | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const WOKUtils_Param & | aParams
| ) | `[protected]`

## Member Function Documentation

Standard_EXPORT const WOKBuilder_WNTLinker::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKBuilder_WNTCollector. Reimplemented in WOKBuilder_DLLinker, and WOKBuilder_EXELinker.

Standard_EXPORT void WOKBuilder_WNTLinker::ProduceDEFile | ( | const Handle(WOKBuilder_DEFile)& | aDEFile | ) |

Standard_EXPORT void WOKBuilder_WNTLinker::ProduceExternList | ( | const Handle(TColStd_HSequenceOfHAsciiString)& | anExternList | ) |

Standard_EXPORT void WOKBuilder_WNTLinker::ProduceLibraryList | ( | const Handle(WOKBuilder_HSequenceOfLibrary)& | aLibList | ) |

The documentation for this class was generated from the following file:

- WOKBuilder_WNTLinker.hxx